Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.optaplanner.core.config.heuristic.selector.value
Enum ValueSorterManner

    java.lang.Object
      java.lang.Enum<ValueSorterManner>
          org.optaplanner.core.config.heuristic.selector.value.ValueSorterManner

All Implemented Interfaces:
  Serializable, Comparable<ValueSorterManner>

    public enum ValueSorterManner

extends Enum<ValueSorterManner>

The manner of sorting a values for a `PlanningVariable`.

Enum Constant Summary
`DECREASING_STRENGTH`
`DECREASING_STRENGTH_IF_AVAILABLE`
`INCREASING_STRENGTH`
`INCREASING_STRENGTH_IF_AVAILABLE`
`NONE`

Method Summary
`SelectionSorter` | `determineSorter(GenuineVariableDescriptor variableDescriptor)`
`boolean` | `hasSorter(GenuineVariableDescriptor variableDescriptor)`
`static ValueSorterManner` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ValueSorterManner[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final ValueSorterManner NONE

### INCREASING_STRENGTH

    public static final ValueSorterManner INCREASING_STRENGTH

### INCREASING_STRENGTH_IF_AVAILABLE

    public static final ValueSorterManner INCREASING_STRENGTH_IF_AVAILABLE

### DECREASING_STRENGTH

    public static final ValueSorterManner DECREASING_STRENGTH

### DECREASING_STRENGTH_IF_AVAILABLE

    public static final ValueSorterManner DECREASING_STRENGTH_IF_AVAILABLE

Method Detail

### values

    public static ValueSorterManner[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ValueSorterManner c : ValueSorterManner.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ValueSorterManner valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### hasSorter

    public boolean hasSorter(GenuineVariableDescriptor variableDescriptor)

### determineSorter

    public SelectionSorter determineSorter(GenuineVariableDescriptor variableDescriptor)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.